### File

`packages/eui/packages/components-next/src/lib/layout/eui-sidebar-toggle/sidebar-toggle.component.ts`

### Extends

`BaseDirective`

### Metadata

selector | `eui-sidebar-toggle`
templateUrl | `./sidebar-toggle.component.html`

### Index

###### Properties
Public asService
###### Methods
onToggleSidebar
###### HostBindings
class

### Constructor

`constructor(asService: UxAppShellService)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No

### HostBindings

class

### Methods

onToggleSidebar
`onToggleSidebar(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

### Properties

Public asService
Type : `UxAppShellService`

# result-matching ""

# No results matching ""